[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#608073: /usr/lib/dri/i965_dri.so: segfaults in run_vp (?)



Package: libgl1-mesa-dri
Version: 7.9+repack-1
Severity: normal
File: /usr/lib/dri/i965_dri.so


while preparing an upload for pyglet, decided to run its tests and immediately
got a segfault. I then have upgraded mesa and X to the version to
experimental versions, segfault seems to persist.

Please find attached a complete protocol of the gdb session.  You should
be able to repeoduce it using pyglet... so something like

apt-get source python-pyglet
cd pyglet-*
PYTHONPATH=$PWD tests/test.py

piece of gdb context:

(gdb) l
370     in tnl/t_vb_program.c
(gdb) directory /tmp/mesa-7.9+repack/src/mesa
Source directories searched: /tmp/mesa-7.9+repack/src/mesa:$cdir:$cwd
(gdb) l
370                 check_float(data[0]);
371                 check_float(data[1]);
372                 check_float(data[2]);
373                 check_float(data[3]);
374     #endif
375                 COPY_CLEAN_4V(machine.VertAttribs[attr], size, data);
376              }
377           }
378     
379           /* execute the program */
(gdb) p attr
$1 = 0
(gdb) p size
$2 = 2
(gdb) p data



-- System Information:
Debian Release: squeeze/sid
  APT prefers experimental
  APT policy: (990, 'experimental'), (900, 'testing'), (800, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libgl1-mesa-dri depends on:
ii  libc6                  2.11.2-7          Embedded GNU C Library: Shared lib
ii  libdrm-intel1          2.4.22-2          Userspace interface to intel-speci
ii  libdrm-radeon1         2.4.21-1~squeeze3 Userspace interface to radeon-spec
ii  libdrm2                2.4.21-1~squeeze3 Userspace interface to kernel DRM 
ii  libexpat1              2.0.1-7           XML parsing C library - runtime li
ii  libgcc1                1:4.4.5-8         GCC support library
ii  libstdc++6             4.4.5-8           The GNU Standard C++ Library v3
ii  libtalloc2             2.0.1-1           hierarchical pool based memory all

libgl1-mesa-dri recommends no packages.

Versions of packages libgl1-mesa-dri suggests:
ii  libglide3                2002.04.10ds1-5 graphics library for 3Dfx Voodoo b

-- no debconf information

Attachment: script.mesa-pygletcrash.7443.20101226.1749.gz
Description: GNU Zip compressed data


Reply to: